<?php
$mobile = "18888888888";//您的手机号，联系管理员开户
$token = "123456";//秘钥，后台个人资料获取
//域名请改为正式域名

/**
 * 查询商品详情
 * 其他接口类似
 */

$data = [
    'goodsId'=>'624457361050',
    "province"=>'四川',
    "timestamp"=>time(),
    "mobile"=>$mobile,
];

$sign = getSign($data, $token);
$data['sign']=$sign;
echo curl_request("http://域名/api/goods/getGoodsDetail", http_build_query($data));

/*
**
 * 使用CURL进行HTTP请求
 * 参数1：访问的URL，
 * 参数2：post数据(不填则为GET)，
 * 参数3：提交的$cookies,
 * 参数4：是否返回$cookies
 */
function curl_request($url, $post='', $cookie='', $returnCookie=0)
{
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    if ($post) {
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
    }
    if ($cookie) {
        curl_setopt($curl, CURLOPT_COOKIE, $cookie);
    }
    curl_setopt($curl, CURLOPT_HEADER, $returnCookie);
    curl_setopt($curl, CURLOPT_TIMEOUT, 5);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    $data = curl_exec($curl);
    if (curl_errno($curl)) {
        return '';
    }
    curl_close($curl);
    if ($returnCookie) {
        list($header, $body) = explode("\r\n\r\n", $data, 2);
        preg_match_all("/Set\-Cookie:([^;]*);/", $header, $matches);
        $_var_5 = null;
        foreach ($matches["1"] as $_var_6) {
            $_var_5 = $_var_5 . ($_var_6 . ";");
        }
        $info['cookie']  = $_var_5;
        $info['content'] = $body;
        return $info;
    } else {
        return $data;
    }
}
function getSign($param, $token)
{
    $signPars = "";
    ksort($param);
    foreach ($param as $k => $v) {
        if ("sign" != $k && "" != $v) {
            $signPars .= $k. $v;
        }
    }
    $signPars = $token.$signPars;
    $sign = md5($signPars);
    return $sign;
}
